Subject: Re: [PATCH v2 14/30] cxlflash: Fix to avoid stall while waiting on TMF

From: Brian King <[email-masked]>
Date: Mon, 21 Sep 2015 13:24:23 -0500

On 09/16/2015 04:30 PM, Matthew R. Ochs wrote:
> Borrowing the TMF waitq's spinlock causes a stall condition when
> waiting for the TMF to complete. To remedy, introduce our own spin
> lock to serialize TMF and use the appropriate wait services.

Can you clarify what stall condition you were seeing. Its not obvious
to me what this fixes. Do you have softlockup logs from the failure?

-Brian

-- 
Brian King
Power Linux I/O
IBM Linux Technology Center